Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.util
Class Debug

    java.lang.Object
      org.cybergarage.util.Debug

    public final class Debug

extends Object

Field Summary
`static boolean` | `enabled`

Constructor Summary
`Debug()`

Method Summary
`static void` | `initialize(I2PAppContext ctx)` I2P this is all static so have the UPnPManager call this
`static boolean` | `isOn()`
`static void` | `message(String s)`
`static void` | `message(String m1, String m2)`
`static void` | `off()`
`static void` | `on()`
`static void` | `warning(Exception e)`
`static void` | `warning(String s)`
`static void` | `warning(String m, Exception e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enabled

    public static boolean enabled

Constructor Detail

### Debug

    public Debug()

Method Detail

### initialize

    public static void initialize(I2PAppContext ctx)

  I2P this is all static so have the UPnPManager call this

### on

    public static final void on()

### off

    public static final void off()

### isOn

    public static boolean isOn()

### message

    public static final void message(String s)

### message

    public static final void message(String m1,
                                     String m2)

### warning

    public static final void warning(String s)

### warning

    public static final void warning(String m,
                                     Exception e)

### warning

    public static final void warning(Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD